org.appng.appngizer.controller

## Class SitePropertyController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.SitePropertyController

-     @RestController
      public class SitePropertyController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SitePropertyController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Properties>` | `createProperties(String site, Properties properties)`
    `org.springframework.http.ResponseEntity<Property>` | `createProperty(String site, Property property)`
    `org.springframework.http.ResponseEntity<Properties>` | `deleteProperties(String site, Properties properties)`
    `org.springframework.http.ResponseEntity<Property>` | `deleteProperty(String site, String property)`
    `org.springframework.http.ResponseEntity<Property>` | `getProperty(String site, String prop)`
    `org.springframework.http.ResponseEntity<Properties>` | `listProperties(String site)`
    `org.springframework.http.ResponseEntity<Properties>` | `updateProperties(String site, Properties properties)`
    `org.springframework.http.ResponseEntity<Property>` | `updateProperty(String site, Property property)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SitePropertyController

          public SitePropertyController()

  - ### Method Detail

    - #### listProperties

          @GetMapping(value={"/site/{site}/property","/site/{site}/properties"})
          public org.springframework.http.ResponseEntity<Properties> listProperties(@PathVariable(value="site")
                                                                                                                                                           String site)

    - #### updateProperties

          @PutMapping(value="/site/{site}/properties")
          public org.springframework.http.ResponseEntity<Properties> updateProperties(@PathVariable(value="site")
                                                                                                                                   String site,
                                                                                                                                   @RequestBody
                                                                                                                                   Properties properties)

    - #### createProperties

          @PostMapping(value="/site/{site}/properties")
          public org.springframework.http.ResponseEntity<Properties> createProperties(@PathVariable(value="site")
                                                                                                                                    String site,
                                                                                                                                    @RequestBody
                                                                                                                                    Properties properties)

    - #### deleteProperties

          @DeleteMapping(value="/site/{site}/properties")
          public org.springframework.http.ResponseEntity<Properties> deleteProperties(@PathVariable(value="site")
                                                                                                                                      String site,
                                                                                                                                      @RequestBody
                                                                                                                                      Properties properties)

    - #### getProperty

          @GetMapping(value="/site/{site}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> getProperty(@PathVariable(value="site")
                                                                                                                                 String site,
                                                                                                                                 @PathVariable(value="prop")
                                                                                                                                 String prop)

    - #### createProperty

          @PostMapping(value="/site/{site}/property")
          public org.springframework.http.ResponseEntity<Property> createProperty(@PathVariable(value="site")
                                                                                                                              String site,
                                                                                                                              @RequestBody
                                                                                                                              Property property)

    - #### updateProperty

          @PutMapping(value="/site/{site}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> updateProperty(@PathVariable(value="site")
                                                                                                                                    String site,
                                                                                                                                    @RequestBody
                                                                                                                                    Property property)

    - #### deleteProperty

          @DeleteMapping(value="/site/{site}/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> deleteProperty(@PathVariable(value="site")
                                                                                                                                       String site,
                                                                                                                                       @PathVariable(value="prop")
                                                                                                                                       String property)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.